Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 04 Feb 2020 02:12:28 +0000

Hi Rehan Khan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi I been waiting for my delivery today but your personel failed it He called me twice asking for my address that should indicate in my personal info then when I called him back to ask him if where he is and what time he can deliver it he replied I will call you back but until now I didnt receive any call Poor customer service for todayI been ordering for a long time and this is the first time I experienced this kind of service / App Version: 6.25 / Android Version: 7.0 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/441929